package com.zhiwei.weixin.card;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

import com.zhiwei.weixin.card.pojo.WxCardBaseInfo;
import com.zhiwei.weixin.card.pojo.WxCardGroupon;

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author jackylian
 */
public class Main {
	
	
    public static void main(String[] args) {
    	 WxCardGroupon card = new WxCardGroupon();
         WxCardBaseInfo baseInfo = card.getBaseInfo();
         
         /**拼接门票详情*/
         StringBuffer buffer = new StringBuffer(); 
         buffer.append("【大会议程】").append("\n").append("\n");
         buffer.append("13:30-14:30	观众入场以及暖场视频").append("\n").append("\n");
         buffer.append("14:30-14:45	致辞分享 ").append("\n");
         buffer.append("中山大学传播与设计学院院长	张志安").append("\n").append("\n");
         buffer.append("14:45-15:15	主题分享：谣言在想什么").append("\n");
         buffer.append("中山大学大数据传播实验室副主任	何凌南").append("\n").append("\n");
         buffer.append("15:15-15:45	主题分享:人人有台").append("\"").append("谣言粉碎机").append("\"").append("\n");
         buffer.append("果壳网主编	徐来 ").append("\n").append("\n");
         buffer.append("15:45-16:15	主题分享:大数据下谣言的模样").append("\n");
         buffer.append("知微CEO	于霄").append("\n").append("\n");
         buffer.append("16:15-16:45	主题分享:当微信遇上谣言").append("\n");
         buffer.append("微信安全负责人	杨光").append("\n").append("\n");
         buffer.append("16:45-17:00	结束语").append("\n");
         buffer.append("中山大学传播与设计学院院长	张志安").append("\n").append("\n");
         buffer.append("*实际分享主题与出场顺序以当天为准。").append("\n");
         
         
         StringBuffer meeting_detail = new StringBuffer(); 
         meeting_detail.append("1. 本电子门票为此次大会入场唯一凭证，现场扫码入场，请妥善保管；").append("\n");
         meeting_detail.append("2. 如您无法参会，可将此门票转增给其他好友，好友可凭此票参会；").append("\n");
         meeting_detail.append("3. 大会4月1日13:30 开始签到，14:30准时开始。先到场者可以观看到关于粉碎谣言的各种科普视频。").append("\n");
         
         /**时间处理*/
         SimpleDateFormat sf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
         String start = "2015-04-01 00:00:01";
         String end = "2015-04-01 18:30:00";
         
         Date startDate = null;  //有效时间
         Date endDate = null; //结束时间
         try {
			startDate = sf.parse(start);
			endDate = sf.parse(end);
		} catch (ParseException e) {
			e.printStackTrace();
		}
        
         /**基础信息页面信息*/
         baseInfo.setLogoUrl("https://mmbiz.qlogo.cn/mmbiz/Dcib4qxLp1R0NScnmSBtTBTDicJvycM9OVwCNHMbOvqcia0yoNd6tCXzNVm8ibiczfgkja6x2L8ASWByD5iaicfcKq89g/0");  //logo
         baseInfo.setBrandName("谣言过滤器");  //商户名称
         baseInfo.setColor("Color030"); //颜色
         //标题
         baseInfo.setTitle("天下无谣大会入场券"); 
        //附标题
         baseInfo.setSubTitle("4月1日 广州 中山大学 怀士堂"); 
         //使用日期，有效期的信息
         baseInfo.setDateInfoTimeRange(startDate, endDate);
         
         /**消劵页面设置**/
         baseInfo.setBindOpenid(true); //是否指定用户领取，填写true或 false。不填代表默认为否。
         baseInfo.setQuantity(2500); //卡劵库存
         baseInfo.setGetLimit(15); //领券限制
         baseInfo.setCanGiveFriend(true); //是否允许转赠给好友
         baseInfo.setCanShare(false);  //是否允许分享
         baseInfo.setCodeType(2); //code码展示类型
         baseInfo.setNotice("入场时请出示此二维码"); //注意事项
         
         /**卡劵详情页面信息*/
         baseInfo.setUseCustomCode(false); //是否自定义code码。填写true 或false，不填代表默认为false
         baseInfo.setDescription(meeting_detail.toString()); //描述
         baseInfo.setServicePhone("020-84112828"); //客服电话
         
         /**门店信息**/
         int batchId =new GetBatch().getBatch();
         baseInfo.addLocationIdList(batchId); //门店地址
//       baseInfo.setUseLimit(5); //
         card.setMeetingDetail(buffer.toString());
         
         /**创建卡券*/
         CreateCard createCard = new CreateCard();
         String cart_id = createCard.addCart(card);
         if(cart_id != null)
         {
        	 System.out.println("创建成功");
         }else
         {
        	 System.out.println("创建失败");
         }
    }
}
